/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
export class SelectedFilter {
  label: string; // what we show the user
  name: string; // the name we use internally
  value: string; // the value entered
  applicable: boolean = true; // is this filter applicable to the current result-type

  constructor(label: string, name: string, value: string, applicable: boolean) {
    this.label = label;
    this.name = name;
    this.value = value;
    this.applicable = applicable;
  }
}
