# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""create-queue-states

Revision ID: 348ea50d3be1
Revises: b56126666d80
Create Date: 2021-10-13 14:24:29.779476

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "348ea50d3be1"
down_revision = "b56126666d80"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
    update capability_state_transitions
    set pattern = 'event_type == resume'
    where pattern = 'event_type == workflow-executing'
    """
    )
    op.execute(
        """
    insert into capability_state_actions (transition_id, action_type, arguments)
    select transition_id, 'ExecuteWorkflow', capability_name as arguments
    from capability_state_transitions where pattern = 'event_type == resume';
    """
    )


def downgrade():
    op.execute(
        """
    update capability_state_transitions
    set pattern = 'event_type == workflow-executing'
    where pattern = 'event_type == resume'
    """
    )
    op.execute(
        """
    delete from capability_state_actions
    where action_type = 'ExecuteWorkflow'
    """
    )
